## org.eclipse.datatools.modelbase.sql.query
Interface QueryCombined

All Superinterfaces:
  QueryExpressionBody, SQLObject, SQLQueryObject, TableExpression, TableReference

All Known Implementing Classes:
  QueryCombinedImpl

public interface QueryCombined
extends QueryExpressionBody

A representation of the model object 'Combined'.

The following features are supported:

- `Combined Operator`
- `Left Query`
- `Right Query`

See Also:
  `SQLQueryModelPackage.getQueryCombined()`

Method Summary
`QueryCombinedOperator` `getCombinedOperator()` Returns the value of the 'Combined Operator' attribute.
`QueryExpressionBody` `getLeftQuery()` Returns the value of the 'Left Query' containment reference.
`QueryExpressionBody` `getRightQuery()` Returns the value of the 'Right Query' containment reference.
`void` `setCombinedOperator(QueryCombinedOperator value)` Sets the value of the '`Combined Operator`' attribute.
`void` `setLeftQuery(QueryExpressionBody value)` Sets the value of the '`Left Query`' containment reference.
`void` `setRightQuery(QueryExpressionBody value)` Sets the value of the '`Right Query`' containment reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QueryExpressionBody
`getCombinedLeft, getCombinedRight, getPredicateExists, getQueryExpression, getUpdateSourceQuery, getWithTableSpecification, setCombinedLeft, setCombinedRight, setPredicateExists, setQueryExpression, setUpdateSourceQuery, setWithTableSpecification`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.TableExpression
`getColumnList, getResultTableAllColumns, getTableCorrelation, getValueExprColumns, setTableCorrelation`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.TableReference
`getNest, getQuerySelect, getTableJoinedLeft, getTableJoinedRight, setNest, setQuerySelect, setTableJoinedLeft, setTableJoinedRight`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getCombinedOperator

    public QueryCombinedOperator getCombinedOperator()

  Returns the value of the 'Combined Operator' attribute. The literals are from the enumeration `QueryCombinedOperator`.

  If the meaning of the 'Combined Operator' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Combined Operator' attribute.
  See Also:
    `QueryCombinedOperator`, `setCombinedOperator(QueryCombinedOperator)`, `SQLQueryModelPackage.getQueryCombined_CombinedOperator()`

### setCombinedOperator

    public void setCombinedOperator(QueryCombinedOperator value)

  Sets the value of the '`Combined Operator`' attribute.

  Parameters:
    `value` - the new value of the 'Combined Operator' attribute.
  See Also:
    `QueryCombinedOperator`, `getCombinedOperator()`

### getLeftQuery

    public QueryExpressionBody getLeftQuery()

  Returns the value of the 'Left Query' containment reference. It is bidirectional and its opposite is '`Combined Left`'.

  If the meaning of the 'Left Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Left Query' containment reference.
  See Also:
    `setLeftQuery(QueryExpressionBody)`, `SQLQueryModelPackage.getQueryCombined_LeftQuery()`, `QueryExpressionBody.getCombinedLeft()`

### setLeftQuery

    public void setLeftQuery(QueryExpressionBody value)

  Sets the value of the '`Left Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Left Query' containment reference.
  See Also:
    `getLeftQuery()`

### getRightQuery

    public QueryExpressionBody getRightQuery()

  Returns the value of the 'Right Query' containment reference. It is bidirectional and its opposite is '`Combined Right`'.

  If the meaning of the 'Right Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Right Query' containment reference.
  See Also:
    `setRightQuery(QueryExpressionBody)`, `SQLQueryModelPackage.getQueryCombined_RightQuery()`, `QueryExpressionBody.getCombinedRight()`

### setRightQuery

    public void setRightQuery(QueryExpressionBody value)

  Sets the value of the '`Right Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Right Query' containment reference.
  See Also:
    `getRightQuery()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.